%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

%if (0%{?fedora} >= 17)
%global ruby_abi 1.9.1
%global ruby_appropriate_install_dir %{ruby_vendorlibdir}
%global requires_ruby_devel 1
%else
%global ruby_abi 1.8
%global requires_ruby_devel 0
%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}
%global ruby_appropriate_install_dir %{ruby_sitelib}
%endif

Summary: SPQR:  {Schema Processor|Straightforward Publishing} for QMF agents in Ruby
Name: ruby-spqr
Version: 0.3.6
Release: 6%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/spqr.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%if 0%{?fedora} >= 19
Requires: ruby(release)
%else
Requires: ruby(abi) = %{?ruby_abi}
%endif
Requires: ruby
Requires: ruby-qpid-qmf
BuildRequires: ruby
%if %{requires_ruby_devel}
BuildRequires: ruby-devel
%endif
BuildArch: noarch

%description
SPQR makes it very simple to expose methods on Ruby objects over QMF.

%package -n spqr-gen
Summary: Generates an spqr app from an xml schema
Group: Applications/System
Requires: ruby-spqr
%if 0%{?fedora} >= 19
Requires: ruby(release)
%else
Requires: ruby(abi) = %{?ruby_abi}
%endif
Requires: ruby

%description -n spqr-gen
spqr-gen is a tool that will generate an SPQR application from an XML 
QMF schema file.

%prep
%setup -q

%build

%install
%if %{building_for_el5}
rm -rf %{buildroot}
%endif
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/app.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/codegen.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/constants.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/event.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/manageable.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/spqr.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f lib/spqr/utils.rb %{buildroot}/%{ruby_appropriate_install_dir}/spqr
cp -p -f bin/spqr-gen.rb %{buildroot}/%{_bindir}

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE README.rdoc CHANGES TODO VERSION
%doc examples
%{ruby_appropriate_install_dir}/spqr/

%files -n spqr-gen
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE
%defattr(755, root, root, -)
%{_bindir}/spqr-gen.rb

%changelog
* Fri Oct 04 2013 willb <willb@redhat> - 0.3.6-6
- Removed bogus ruby-qmf dependency

* Wed Mar 27 2013 Vít Ondruch <vondruch@redhat.com> - 0.3.6-5
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild


* Mon Mar 26 2012 willb <willb@redhat> - 0.3.6-3
- More packaging fixes for F17.

* Fri Feb 10 2012 willb <willb@redhat> - 0.3.6-2
- Packaging fixes for F17.

* Thu Feb 9 2012 <willb@redhat> - 0.3.6-1
- Fixes for compatibility with Ruby 1.9

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.5-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 <willb@redhat> - 0.3.5-1
- bug fix with explicit authentication mechanisms (BZ 756401)
- added additional explicit authentication mechanisms (BZ 756402)

* Tue Oct 11 2011 <willb@redhat> - 0.3.4-1
- build workflow improvements

* Wed Sep 21 2011 <willb@redhat> - 0.3.3-4
- Specfile improvements

* Fri Sep 16 2011 <willb@redhat> - 0.3.3-3
- Minor packaging tweaks

* Mon Jun 6 2011 <willb@redhat> - 0.3.3-2
- Installation now preserves file mode, owner, and modification time

* Fri Feb 4 2011  <willb@redhat> - 0.3.3-1
- support for alternate authentication mechanisms (BZ 675323)

* Fri Dec 17 2010  <willb@redhat> - 0.3.2-2
- packaging fixes (BZ 638569)

* Wed Sep 15 2010  <willb@redhat> - 0.3.2-1
- updated to version 0.3.2-1
- removed spurious debugging output
- access modifiers now respected on properties 

* Mon May 10 2010  <willb@redhat> - 0.3.0-1
- updated to version 0.3.0-1

* Mon Apr 12 2010  <willb@redhat> - 0.2.4-1
- updated to version 0.2.4-1

* Mon Apr 5 2010  <willb@redhat> - 0.2.3-1
- updated to version 0.2.3-1

* Thu Mar 4 2010  <willb@redhat> - 0.2.2-2
- updated to version 0.2.2-2

* Tue Feb 24 2010  <willb@redhat> - 0.2.1-1.0
- updated to version 0.2.1 (which is not released as a gem at the moment)

* Fri Feb 19 2010  <willb@redhat> - 0.2.0-0.3
- The SPQR application object is now exposed to managed classes

* Fri Feb  5 2010  <rrati@redhat> - 0.2.0-0.2
- Fixed packaging issues

* Tue Feb  2 2010  <rrati@redhat> - 0.2.0-0.1
- Initial package
